%global commit          1f474fda3464294c00a3a8de5aa9eadf1026d0c7
%global commitdate      20231116
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:       phpboost-antispam-bot
Version:    %{commitdate}
Release:    %mkrel -c git%{commitdate} 1
Summary:    Phpboost cli bash library
Group:      Networking/Instant messaging
License:    GPLv3
BuildArch:  noarch
URL:        https://framagit.org/Jybz/mlobot
Source0:    https://framagit.org/Jybz/mlobot/-/archive/%{commit}/mlobot-%{commit}.tar.gz
Requires:   phpboost-cli
Requires:   config(systemd)
BuildRequires: config(systemd)

%description
Provide a bot crawling the database for edits and reports on the forum.

%prep
%setup -q -n mlobot-%{commit}

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_unitdir}
install -p -m 0600 phpboost_antispam_bot %{buildroot}%{_sysconfdir}
install -p -m 0644 %{name}.service %{buildroot}%{_unitdir}
install -p -m 0644 %{name}.timer %{buildroot}%{_unitdir}
install -p -m 0755 %{name}.sh %{buildroot}%{_bindir}

%files
%config(noreplace) %{_sysconfdir}/phpboost_antispam_bot
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.timer
%{_bindir}/%{name}.sh
